Debian Bug report logs - #378668
manpages-dev: modify_ldt(2) uses struct user_desc, not modify_ldt_ldt_s

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Samuel Thibault <samuel.thibault@ens-lyon.org>

Date: Tue, 18 Jul 2006 09:18:49 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages/2.34-1

Fixed in version manpages/2.57-1

Done: Martin Schulze <joey@finlandia.home.infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#378668; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: modify_ldt(2) uses struct user_desc, not modify_ldt_ldt_s
Date: Tue, 18 Jul 2006 10:41:46 +0200
Package: manpages-dev
Version: 2.34-1
Severity: normal

Hi,

modify_ldt(2) says that it uses modify_ldt_ldt_s structures, but this is
wrong: struct user_desc are used (defined in <asm/ldt.h>).

Samuel

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (900, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages manpages-dev depends on:
ii  manpages                      2.34-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information

-- 
Samuel Thibault <samuel.thibault@ens-lyon.org>
Now I know someone out there is going to claim, "Well then, UNIX is intuitive,
because you only need to learn 5000 commands, and then everything else follows
from that! Har har har!"
(Andy Bates in comp.os.linux.misc, on "intuitive interfaces", slightly
defending Macs.)



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#378668; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 378668@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>, 378668@bugs.debian.org
Subject: Re: Bug#378668: manpages-dev: modify_ldt(2) uses struct user_desc, not modify_ldt_ldt_s
Date: Mon, 28 May 2007 00:34:38 +0200

Samuel Thibault wrote:
> Package: manpages-dev
> Version: 2.34-1
> Severity: normal
> 
> Hi,
> 
> modify_ldt(2) says that it uses modify_ldt_ldt_s structures, but this is
> wrong: struct user_desc are used (defined in <asm/ldt.h>).
> 
> Samuel

Samuel,

It appears to me that things are not simple here: user_desc nowadays is the
same structure as modify_ldt_ldt_s used to be in earlier kernel versions.
Do you have more information?

Cheers,

Michaek




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#378668; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #15 received at 378668@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: 378668@bugs.debian.org
Subject: Re: Bug#378668: manpages-dev: modify_ldt(2) uses struct user_desc, not modify_ldt_ldt_s
Date: Tue, 29 May 2007 12:13:36 +0200
Michael Kerrisk, le Mon 28 May 2007 00:34:38 +0200, a écrit :
> Samuel Thibault wrote:
> > modify_ldt(2) says that it uses modify_ldt_ldt_s structures, but this is
> > wrong: struct user_desc are used (defined in <asm/ldt.h>).
> 
> It appears to me that things are not simple here: user_desc nowadays is the
> same structure as modify_ldt_ldt_s used to be in earlier kernel versions.

Ah, the name changed between 2.4 and 2.6 indeed.  The documentation
should probably now say "user_desc" and remind that it was called
"modify_ldt_ldt_s" in 2.4 and earlier.

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#378668; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #20 received at 378668@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>
Cc: 378668@bugs.debian.org
Subject: Re: Bug#378668: manpages-dev: modify_ldt(2) uses struct user_desc, not modify_ldt_ldt_s
Date: Tue, 29 May 2007 12:43:16 +0200
Hello Samuel,

> Michael Kerrisk, le Mon 28 May 2007 00:34:38 +0200, a écrit :
> > Samuel Thibault wrote:
> > > modify_ldt(2) says that it uses modify_ldt_ldt_s structures, but this
> > > is wrong: struct user_desc are used (defined in <asm/ldt.h>).
> > 
> > It appears to me that things are not simple here: user_desc nowadays is
> > the same structure as modify_ldt_ldt_s used to be in earlier kernel
> > versions.
> 
> Ah, the name changed between 2.4 and 2.6 indeed.  

Yes, that's what a bit of Googling suggests:

http://www.google.com/search?q=modify_ldt_ldt_s%20user_desc&hl=en

> The documentation
> should probably now say "user_desc" and remind that it was called
> "modify_ldt_ldt_s" in 2.4 and earlier.

Yes, I will do something like that.  Will send you the
updated text later.

Thanks,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#378668; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #25 received at 378668@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>
Cc: 378668@bugs.debian.org, debc <control@bugs.debian.org>
Subject: Re: Bug#378668: manpages-dev: modify_ldt(2) uses struct user_desc, not modify_ldt_ldt_s
Date: Sat, 02 Jun 2007 23:19:24 +0200
tags 378668 fixed-upstream
thanks

Samuel Thibault wrote:
> Michael Kerrisk, le Mon 28 May 2007 00:34:38 +0200, a écrit :
>> Samuel Thibault wrote:
>>> modify_ldt(2) says that it uses modify_ldt_ldt_s structures, but this is
>>> wrong: struct user_desc are used (defined in <asm/ldt.h>).
>> It appears to me that things are not simple here: user_desc nowadays is the
>> same structure as modify_ldt_ldt_s used to be in earlier kernel versions.
> 
> Ah, the name changed between 2.4 and 2.6 indeed.  The documentation
> should probably now say "user_desc" and remind that it was called
> "modify_ldt_ldt_s" in 2.4 and earlier.

Hi Samuel,

Okay -- I will add some words for upstream man-pages-2.57.

Thanks,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7

Want to help with man page maintenance?  Grab the latest tarball at
http://www.kernel.org/pub/linux/docs/manpages/
read the HOWTOHELP file and grep the source files for 'FIXME'.





Tags added: fixed-upstream Request was from Michael Kerrisk <mtk-manpages@gmx.net> to control@bugs.debian.org. (Thu, 07 Jun 2007 13:21:12 GMT) Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@finlandia.home.infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 378668-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@finlandia.home.infodrom.org>
To: 378668-close@bugs.debian.org
Subject: Bug#378668: fixed in manpages 2.57-1
Date: Sat, 07 Jul 2007 07:32:03 +0000
Source: manpages
Source-Version: 2.57-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.57-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.57-1_all.deb
manpages_2.57-1.dsc
  to pool/main/m/manpages/manpages_2.57-1.dsc
manpages_2.57-1.tar.gz
  to pool/main/m/manpages/manpages_2.57-1.tar.gz
manpages_2.57-1_all.deb
  to pool/main/m/manpages/manpages_2.57-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 378668@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@finlandia.home.infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 07 Jul 2007 08:27:41 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.57-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@finlandia.home.infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 378668
Changes: 
 manpages (2.57-1) unstable; urgency=low
 .
   * New upstream version
     . Correction to modify_ldt(2) (closes: Bug#378668)
Files: 
 1d249972e993435f248e1ac2f2c7fd31 517 doc important manpages_2.57-1.dsc
 94f9abd3d698cad759531b128b23d509 1193009 doc important manpages_2.57-1.tar.gz
 6a9487ffb18264617eaf0c79df9b666b 509560 doc important manpages_2.57-1_all.deb
 918fd374d1d37e84c3fb5b54523f0cb5 1240238 doc optional manpages-dev_2.57-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGjz+HW5ql+IAeqTIRAiTcAKCJaJK55LCBAgGUmyBcTiT6ero0SACfXSbk
59Yqr8JII6yCqRgI2uuqod4=
=7hbF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 15 Aug 2007 07:31:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:02:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.